# Generated by Django 4.2.5 on 2023-09-06 07:51

# Django imports
from django.db import migrations
from django.db import models
import django.db.models.deletion

# Third Party
import parler.fields
import parler.models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Food",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("slug", models.SlugField(verbose_name="Slug")),
                ("yum_rating", models.PositiveSmallIntegerField(verbose_name="Score de miam")),
                ("vegetarian", models.BooleanField(default=False, verbose_name="Vegetarian")),
                ("vegan", models.BooleanField(default=False, verbose_name="Vegan")),
            ],
            options={
                "verbose_name": "Nourriture - auto edit handlers",
                "verbose_name_plural": "Nourritures - auto edit handlers",
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name="WeirdFood",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("slug", models.SlugField(verbose_name="Slug")),
                ("yum_rating", models.PositiveSmallIntegerField(verbose_name="Score de miam")),
                ("vegetarian", models.BooleanField(default=False, verbose_name="Vegetarian")),
                ("vegan", models.BooleanField(default=False, verbose_name="Vegan")),
            ],
            options={
                "verbose_name": "Nourriture - non standard translations field",
                "verbose_name_plural": "Nourritures - non standard translations field",
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name="FoodWithEditHandler",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("slug", models.SlugField(verbose_name="Slug")),
                ("yum_rating", models.PositiveSmallIntegerField(verbose_name="Score de miam")),
                ("vegetarian", models.BooleanField(default=False, verbose_name="Vegetarian")),
                ("vegan", models.BooleanField(default=False, verbose_name="Vegan")),
            ],
            options={
                "verbose_name": "Nourriture - edit_handler but auto translations",
                "verbose_name_plural": "Nourritures - edit_handler but auto translations",
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name="FoodWithEmptyEditHandler",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("slug", models.SlugField(verbose_name="Slug")),
                ("yum_rating", models.PositiveSmallIntegerField(verbose_name="Score de miam")),
                ("vegetarian", models.BooleanField(default=False, verbose_name="Vegetarian")),
                ("vegan", models.BooleanField(default=False, verbose_name="Vegan")),
            ],
            options={
                "verbose_name": "Nourriture - edit__handler with empty i18n handlers",
                "verbose_name_plural": "Nourritures - edit__handler with empty i18n handlers",
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name="FoodWithPanelsInsideModel",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("slug", models.SlugField(verbose_name="Slug")),
                ("yum_rating", models.PositiveSmallIntegerField(verbose_name="Score de miam")),
                ("vegetarian", models.BooleanField(default=False, verbose_name="Vegetarian")),
                ("vegan", models.BooleanField(default=False, verbose_name="Vegan")),
            ],
            options={
                "verbose_name": "Nourriture - panels inside model",
                "verbose_name_plural": "Nourritures - panels inside model",
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name="FoodWithSpecificEditHandler",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("slug", models.SlugField(verbose_name="Slug")),
                ("yum_rating", models.PositiveSmallIntegerField(verbose_name="Score de miam")),
                ("vegetarian", models.BooleanField(default=False, verbose_name="Vegetarian")),
                ("vegan", models.BooleanField(default=False, verbose_name="Vegan")),
            ],
            options={
                "verbose_name": "Nourriture - edit__handler with specific i18n handlers",
                "verbose_name_plural": "Nourritures - edit__handler with specific i18n handlers",
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name="FoodWithSpecificEditHandlerTranslation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "language_code",
                    models.CharField(db_index=True, max_length=15, verbose_name="Language"),
                ),
                ("name", models.CharField(max_length=255, verbose_name="Nom")),
                ("summary", models.TextField(verbose_name="Résumé")),
                ("content", models.TextField(verbose_name="Contenu")),
                (
                    "master",
                    parler.fields.TranslationsForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="translations",
                        to="wagtail_parler_tests.foodwithspecificedithandler",
                    ),
                ),
            ],
            options={
                "verbose_name": (
                    "Nourriture - " "edit__handler with specific i18n handlers Translation"
                ),
                "db_table": "wagtail_parler_tests_foodwithspecificedithandler_translation",
                "db_tablespace": "",
                "managed": True,
                "default_permissions": (),
                "unique_together": {("language_code", "master")},
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name="FoodWithPanelsInsideModelTranslation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "language_code",
                    models.CharField(db_index=True, max_length=15, verbose_name="Language"),
                ),
                ("name", models.CharField(max_length=255, verbose_name="Nom")),
                ("summary", models.TextField(verbose_name="Résumé")),
                ("content", models.TextField(verbose_name="Contenu")),
                (
                    "master",
                    parler.fields.TranslationsForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="translations",
                        to="wagtail_parler_tests.foodwithpanelsinsidemodel",
                    ),
                ),
            ],
            options={
                "verbose_name": "Nourriture - panels inside model Translation",
                "db_table": "wagtail_parler_tests_foodwithpanelsinsidemodel_translation",
                "db_tablespace": "",
                "managed": True,
                "default_permissions": (),
                "unique_together": {("language_code", "master")},
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name="FoodWithEmptyEditHandlerTranslation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "language_code",
                    models.CharField(db_index=True, max_length=15, verbose_name="Language"),
                ),
                ("name", models.CharField(max_length=255, verbose_name="Nom")),
                ("summary", models.TextField(verbose_name="Résumé")),
                ("content", models.TextField(verbose_name="Contenu")),
                (
                    "master",
                    parler.fields.TranslationsForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="translations",
                        to="wagtail_parler_tests.foodwithemptyedithandler",
                    ),
                ),
            ],
            options={
                "verbose_name": "Nourriture - edit__handler with empty i18n handlers Translation",
                "db_table": "wagtail_parler_tests_foodwithemptyedithandler_translation",
                "db_tablespace": "",
                "managed": True,
                "default_permissions": (),
                "unique_together": {("language_code", "master")},
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name="FoodWithEditHandlerTranslation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "language_code",
                    models.CharField(db_index=True, max_length=15, verbose_name="Language"),
                ),
                ("name", models.CharField(max_length=255, verbose_name="Nom")),
                ("summary", models.TextField(verbose_name="Résumé")),
                ("content", models.TextField(verbose_name="Contenu")),
                (
                    "master",
                    parler.fields.TranslationsForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="translations",
                        to="wagtail_parler_tests.foodwithedithandler",
                    ),
                ),
            ],
            options={
                "verbose_name": "Nourriture - edit_handler but auto translations Translation",
                "db_table": "wagtail_parler_tests_foodwithedithandler_translation",
                "db_tablespace": "",
                "managed": True,
                "default_permissions": (),
                "unique_together": {("language_code", "master")},
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name="FoodTranslation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "language_code",
                    models.CharField(db_index=True, max_length=15, verbose_name="Language"),
                ),
                ("name", models.CharField(max_length=255, verbose_name="Nom")),
                ("summary", models.TextField(verbose_name="Résumé")),
                ("content", models.TextField(verbose_name="Contenu")),
                (
                    "master",
                    parler.fields.TranslationsForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="translations",
                        to="wagtail_parler_tests.food",
                    ),
                ),
            ],
            options={
                "verbose_name": "Nourriture - auto edit handlers Translation",
                "db_table": "wagtail_parler_tests_food_translation",
                "db_tablespace": "",
                "managed": True,
                "default_permissions": (),
                "unique_together": {("language_code", "master")},
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name="WeirdFoodTranslation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "language_code",
                    models.CharField(db_index=True, max_length=15, verbose_name="Language"),
                ),
                ("name", models.CharField(max_length=255, verbose_name="Nom")),
                ("summary", models.TextField(verbose_name="Résumé")),
                ("content", models.TextField(verbose_name="Contenu")),
                (
                    "master",
                    parler.fields.TranslationsForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="weird_translations",
                        to="wagtail_parler_tests.weirdfood",
                    ),
                ),
            ],
            options={
                "verbose_name": "Nourriture - non standard translations field Translation",
                "db_table": "wagtail_parler_tests_weirdfood_translation",
                "db_tablespace": "",
                "managed": True,
                "default_permissions": (),
                "unique_together": {("language_code", "master")},
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
    ]
